# -*- coding: utf-8 -*-

from typing import List

from pydantic import BaseModel


class Space(BaseModel):
    id: str
    realtime_temperature: float
    equipment: List[str]
    temperature_target: float


class SpaceControlInResponse(BaseModel):
    result: str = 'success'
    projectId: str
    roomId: str
    flag: int
    time: str
    method: int
